aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files/lib/firstboot/.svn/text-base/20_has_mini_fo.svn-base
diff options
context:
space:
mode:
Diffstat (limited to 'package/base-files/files/lib/firstboot/.svn/text-base/20_has_mini_fo.svn-base')
-rw-r--r--package/base-files/files/lib/firstboot/.svn/text-base/20_has_mini_fo.svn-base13
1 files changed, 13 insertions, 0 deletions
diff --git a/package/base-files/files/lib/firstboot/.svn/text-base/20_has_mini_fo.svn-base b/package/base-files/files/lib/firstboot/.svn/text-base/20_has_mini_fo.svn-base
new file mode 100644
index 0000000..8ca6a4f
--- /dev/null
+++ b/package/base-files/files/lib/firstboot/.svn/text-base/20_has_mini_fo.svn-base
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# Copyright (C) 2006-2010 OpenWrt.org
+# Copyright (C) 2010 Vertical Communications
+
+check_for_overlay() {
+ if ! grep -qE '(mini_fo|overlay)' /proc/filesystems; then
+ boot_run_hook no_fo
+ exit 1
+ fi
+}
+
+boot_hook_add switch2jffs check_for_overlay